<wmo301:Client>
  [%-
  # ZS knows m/v, Zorginstituut has a third option: 0 - unknown
  SWITCH natuurlijk_persoon.geslachtsaanduiding;
    CASE 'M'; geslacht = 1;
    CASE 'V'; geslacht = 2;
    CASE; geslacht = 0;
  END; -%]
  <wmo301:Bsn>[% natuurlijk_persoon.bsn | xml %]</wmo301:Bsn>
  [%- INCLUDE "common/cdt_geboortedatum.xml"
     datum = natuurlijk_persoon.geboortedatum
     datum_gebruik = 0 -%]
  <wmo301:Geslacht>[% geslacht | xml %]</wmo301:Geslacht>
  [%- INCLUDE "common/cdt_volledige_naam.xml" -%]
  <wmo301:Contactgegevens>
    <wmo301:Contact>
      [%- adres = natuurlijk_persoon.adres_id;
      SWITCH adres.functie_adres;
        CASE 'W'; adres_soort = '01';
        CASE 'C'; adres_soort = '02';
        CASE 'verblijfadres'; adres_soort = '03';
        CASE 'verblijfadres_tijdelijk'; adres_soort = '04';
      END; %]
      <wmo301:Soort>[% adres_soort | xml %]</wmo301:Soort>
      [%- INCLUDE "common/cdt_adres.xml" %]
    </wmo301:Contact>
  </wmo301:Contactgegevens>
  <wmo301:Beschikking>
    <wmo301:BeschikkingNummer>[% beschikking.nummer | xml %]</wmo301:BeschikkingNummer>
    <wmo301:Afgiftedatum>[% convert_dt_to_date(beschikking.afgiftedatum) | xml %]</wmo301:Afgiftedatum>
    <wmo301:Ingangsdatum>[% convert_dt_to_date(beschikking.ingangsdatum) | xml %]</wmo301:Ingangsdatum>
    [%- IF beschikking.defined('einddatum') %]
    <wmo301:Einddatum>[% convert_dt_to_date(beschikking.einddatum) | xml %]</wmo301:Einddatum>
    [%- END %]
    [%- INCLUDE "common/cdt_commentaarregel.xml" comment_type = 'beschikking' %]
    <wmo301:BeschiktProducten>
      [%- INCLUDE "common/cdt_beschiktproduct.xml" producten = producten.beschikt -%]
      [%#- INCLUDE "common/cdt_commentaarregel.xml" comment_type = 'beschikte_producten' -%]
    </wmo301:BeschiktProducten>
    <wmo301:ToegewezenProducten>
      [%- INCLUDE "common/cdt_toegewezenproduct.xml"
            producten    = producten.toegewezen
            gemeentecode = gemeentecode
      -%]
      [%#- INCLUDE "common/cdt_commentaarregel.xml" comment_type = 'toegewezen_producten' -%]
    </wmo301:ToegewezenProducten>
  </wmo301:Beschikking>

  [%# INCLUDE "common/cdt_commentaarregel.xml" comment_type = 'general' -%]
</wmo301:Client>
